> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/82.-zapros-vosstanovit-sobytiya-podpiski.md).

# 82. Запрос: восстановить события подписки

Всегда хорошая практика — иметь возможность восстановить/проверить доставленные и сгенерированные события подписки. Поэтому GeoPard сохраняет историю всех сгенерированных событий подписки для **последних 12 месяцев**.&#x20;

Распространённые сценарии:&#x20;

* Плохое интернет-соединение и события не были доставлены
* Повторный деплой (переустановка) слушателя WebSocket
* Проверьте согласованность полученных и сгенерированных событий

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Поддерживаемые входные фильтры:

* `dateFrom` в виде даты и времени в формате ISO 8601 (например: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` в виде даты и времени в формате ISO 8601 (например: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` в виде массива UUID «Ферм» для поиска
* `fieldUuids` в виде массива UUID «Участков» для поиска&#x20;
* `userUuids` как массив UUID пользователей для поиска
* `eventUuids` в виде массива UUID событий подписки

{% hint style="info" %}
Все фильтры работают как логический **И**.
{% endhint %}

{% hint style="info" %}
Каждое событие подписки имеет атрибут `executionDate` связанный с моментом отправки в формате AWSDateTime, совместимом с ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/82.-zapros-vosstanovit-sobytiya-podpiski.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
